Subject: Re: NET: ASSERT_RTNL in __dev_set_promiscuity makes debug warning

From: Jarek Poplawski <[email-masked]>
Date: Wed, 5 Dec 2007 07:25:41 +0100

On 04-12-2007 23:26, Jarek Poplawski wrote:
...
> But, IMHO, blowing ASSERT_RTNL up in a few places shouldn't be much
> worse. After all, how long such a debugging code should be kept. It
> seems, at least sometimes we should be a bit more confident of how
> it's called.

I see this won't be done this way, but, if it were, then there is no
reason to remove the second: documenting feature of ASSERT_RTNL, so
some comment about locking should be added.

Jarek P.